<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('contents/product-groups:search', [\App\Http\ApiV1\Modules\ProductGroups\Controllers\ProductGroupsController::class, 'search'])->name('searchProductGroups');
Route::post('contents/product-groups:search-one', [\App\Http\ApiV1\Modules\ProductGroups\Controllers\ProductGroupsController::class, 'searchOne'])->name('searchOneProductGroups');
Route::post('contents/product-groups', [\App\Http\ApiV1\Modules\ProductGroups\Controllers\ProductGroupsController::class, 'create'])->name('createProductGroups');
Route::put('contents/product-groups/{id}', [\App\Http\ApiV1\Modules\ProductGroups\Controllers\ProductGroupsController::class, 'update'])->name('replaceProductGroups');
Route::delete('contents/product-groups/{id}', [\App\Http\ApiV1\Modules\ProductGroups\Controllers\ProductGroupsController::class, 'delete'])->name('deleteProductGroups');
Route::post('contents/product-groups/{id}:upload-file', [\App\Http\ApiV1\Modules\ProductGroups\Controllers\ProductGroupFilesController::class, 'upload'])->name('uploadProductGroupFiles');
Route::post('contents/product-groups/{id}:delete-file', [\App\Http\ApiV1\Modules\ProductGroups\Controllers\ProductGroupFilesController::class, 'delete'])->name('deleteProductGroupFiles');
Route::post('contents/product-group-types:search', [\App\Http\ApiV1\Modules\ProductGroups\Controllers\ProductGroupTypesController::class, 'search'])->name('searchProductGroupTypes');
Route::post('contents/banners:search', [\App\Http\ApiV1\Modules\Banners\Controllers\BannersController::class, 'search'])->name('searchBanners');
Route::post('contents/banners:search-one', [\App\Http\ApiV1\Modules\Banners\Controllers\BannersController::class, 'searchOne'])->name('searchOneBanners');
Route::post('contents/banners', [\App\Http\ApiV1\Modules\Banners\Controllers\BannersController::class, 'create'])->name('createBanners');
Route::put('contents/banners/{id}', [\App\Http\ApiV1\Modules\Banners\Controllers\BannersController::class, 'update'])->name('replaceBanners');
Route::delete('contents/banners/{id}', [\App\Http\ApiV1\Modules\Banners\Controllers\BannersController::class, 'delete'])->name('deleteBanners');
Route::post('contents/banners/{id}:upload-file', [\App\Http\ApiV1\Modules\Banners\Controllers\BannerFilesController::class, 'upload'])->name('uploadBannerFiles');
Route::post('contents/banners/{id}:delete-file', [\App\Http\ApiV1\Modules\Banners\Controllers\BannerFilesController::class, 'delete'])->name('deleteBannerFiles');
Route::post('contents/banner-types:search', [\App\Http\ApiV1\Modules\Banners\Controllers\BannerTypesController::class, 'search'])->name('searchBannerTypes');
Route::post('contents/menus:search', [\App\Http\ApiV1\Modules\Menus\Controllers\MenusController::class, 'search'])->name('searchMenus');
Route::post('contents/menus:search-one', [\App\Http\ApiV1\Modules\Menus\Controllers\MenusController::class, 'searchOne'])->name('searchOneMenus');
Route::put('contents/menus/{id}/trees', [\App\Http\ApiV1\Modules\Menus\Controllers\MenuTreesController::class, 'update'])->name('updateMenuTrees');
Route::post('contents/landings:search', [\App\Http\ApiV1\Modules\Landings\Controllers\LandingsController::class, 'search'])->name('searchLandings');
Route::post('contents/landings', [\App\Http\ApiV1\Modules\Landings\Controllers\LandingsController::class, 'create'])->name('createLandings');
Route::put('contents/landings/{id}', [\App\Http\ApiV1\Modules\Landings\Controllers\LandingsController::class, 'update'])->name('replaceLandings');
Route::delete('contents/landings/{id}', [\App\Http\ApiV1\Modules\Landings\Controllers\LandingsController::class, 'delete'])->name('deleteLandings');
Route::get('contents/landing-widgets', [\App\Http\ApiV1\Modules\Landings\Controllers\LandingWidgetsController::class, 'list'])->name('getLandingWidgets');
Route::post('contents/product-categories', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductCategoriesController::class, 'create'])->name('createProductCategory');
Route::get('contents/product-categories/{id}', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductCategoriesController::class, 'get'])->name('getProductCategory');
Route::put('contents/product-categories/{id}', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductCategoriesController::class, 'replace'])->name('replaceProductCategory');
Route::delete('contents/product-categories/{id}', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductCategoriesController::class, 'delete'])->name('deleteProductCategory');
Route::post('contents/product-categories:mass-delete', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductCategoriesController::class, 'massDelete'])->name('massDeleteProductCategories');
Route::post('contents/product-categories:search', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductCategoriesController::class, 'search'])->name('searchProductCategories');
Route::post('contents/product-categories:tree', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductCategoriesController::class, 'tree'])->name('treeProductCategories');
Route::post('contents/product-categories/pim-categories', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductPimCategoriesController::class, 'create'])->name('createProductPimCategory');
Route::get('contents/product-categories/pim-categories/{id}', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductPimCategoriesController::class, 'get'])->name('getProductPimCategory');
Route::put('contents/product-categories/pim-categories/{id}', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductPimCategoriesController::class, 'replace'])->name('replaceProductPimCategory');
Route::delete('contents/product-categories/pim-categories/{id}', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductPimCategoriesController::class, 'delete'])->name('deleteProductPimCategory');
Route::post('contents/product-categories/pim-categories:search', [\App\Http\ApiV1\Modules\ProductCategories\Controllers\ProductPimCategoriesController::class, 'search'])->name('searchProductPimCategory');
